// ignore_for_file: public_member_api_docs, non_constant_identifier_names

import 'package:copy_with_extension/copy_with_extension.dart';

part 'lead_state.g.dart';

@CopyWith()
class LeadState {

  LeadState({
    required this.ra,
    required this.rl,
    required this.la,
    required this.ll,
    required this.v1,
    required this.v2,
    required this.v3,
    required this.v4,
    required this.v5,
    required this.v6,
  });

  LeadState.empty() :
        ra = false,
        rl =  true,
        la =  false,
        ll =  false,
        v1 = false,
        v2 = false,
        v3 = false,
        v4 = false,
        v5 = false,
        v6 = false;

  final bool ra;
  final bool rl;

  final bool la;
  final bool ll;

  final bool v1;
  final bool v2;
  final bool v3;
  final bool v4;
  final bool v5;
  final bool v6;

  List<bool> toList() => [
        ra,
        rl,
        la,
        ll,
        v1,
        v2,
        v3,
        v4,
        v5,
        v6,
      ];
}
