import 'package:flutter_test/flutter_test.dart';
import 'package:healthrian_common_support/healthrian_common_support.dart';

void main() {
  group('crc test', () {
    test('crc validation: start ecg', () {
      expect(Crc16.getCcittFalse([0x11]), [0xE3, 0xE0]);
    });

    test('crc validation: start pulse oxi', () {
      expect(Crc16.getCcittFalse([0x20]), [0xC5, 0x92]);
    });

    test('crc validation: stop ecg', () {
      expect(Crc16.getCcittFalse([0x81]), [0x60, 0x59]);
    });

    test('crc validation: stop pulse oxi', () {
      expect(Crc16.getCcittFalse([0x90]), [0x62, 0x49]);
    });
  });
}
