// ignore_for_file: public_member_api_docs

part 'table.dart';

// reference: https://gist.github.com/tijnkooijmans/10981093
class Crc16 {
  static const _initValue = 0xFFFF;

  static List<int> getCcittFalse(List<int> payload) {
    var crc = _initValue;
    var byteIndex = 0;

    for (var n = 0; n < payload.length; n++) {
      final tableIndex = 0xFF & (crc >> 8 ^ payload[byteIndex++]);
      crc = 0xFFFF & (crc << 8 ^ _ccittFalseTable[tableIndex]);
    }
    return [(crc & 0xFF00) >> 8, crc & 0xFF];
  }
}
